#!/bin/bash

source machines/occigen-bdw/env
echo "************************************************************"
echo "* Compile "
echo "************************************************************"
compile(){
    cd $ramses_dir/ramses/bin
    make clean
    # FFLAGS
    sed -i s/"-cpp -DNDIM=\$(NDIM) -DNPRE=\$(NPRE) -DSOLVER\$(SOLVER) -DNVAR=\$(NVAR) -DNCHEM=\$(NCHEM)"/"-xHost -O3 -ip -cpp -DNDIM=\$(NDIM) -DNPRE=\$(NPRE) -DSOLVER\$(SOLVER) -DNVAR=\$(NVAR) -DNCHEM=\$(NCHEM)"/g $ramses_dir/ramses/bin/Makefile
    pwd
    make >& make.log
}

compile
echo "************************************************************"
echo "* End Compile "
echo "************************************************************"

