#!/bin/bash
source ../machines/occigen-bdw/env
echo "************************************************************"
echo "* Prepare medium case in $bench_dir"
echo "************************************************************"
mkdir -p $bench_dir/testcase_medium/
if [[ $HOSTNAME = *"occigen"* ]]; then
	tar xvf /store/CINES/dci/SHARED/abs/ramses/input.tar -C $bench_dir/testcase_medium/.
elif [[ $HOSTNAME = *"jean-zay"* ]]; then
	tar xvf $SCRATCH/abs/ramses/input.tar -C $bench_dir/testcase_medium/.
elif [[ $HOSTNAME = *"irene"* ]]; then
	 tar xvf  $CCCSCRATCHDIR/abs/ramses/input.tar -C $bench_dir/testcase_medium/.
else
	echo "Hostname not recognized: abort"
	exit 1
fi
echo "************************************************************"
echo "* End Prepare medium case "
echo "************************************************************"
