#!/bin/bash

source machines/occigen-bdw/env

git_download(){
    git clone https://bitbucket.org/rteyssie/ramses
    cd ramses
    git checkout stable_19_10 # Checkout a stable version
}

tar_download(){
	cd $ramses_dir
	if [[ $HOSTNAME = *"occigen"* ]]; then
#cp /store/CINES/dci/SHARED/abs/ramses/testcase_small.tar.gz $bench_dir/.
		tar zxvf /store/CINES/dci/SHARED/abs/ramses/ramses.tar.gz -C $ramses_dir/.
	elif [[ $HOSTNAME = *"jean-zay"* ]]; then
		tar zxvf $SCRATCH/abs/ramses/ramses.tar.gz -C $ramses_dir/.
	elif [[ $HOSTNAME = *"irene"* ]]; then
		tar zxvf  $CCCSCRATCHDIR/abs/ramses/ramses.tar.gz -C $ramses_dir/.
	else
		echo "Hostname not recognized: abort"
		exit 1
	fi
}
cd $ramses_dir
tar_download
